radvd/radvd-1.2-posix.patch
2009-04-27 20:16:37 +00:00

36 lines
913 B
Diff

diff -up radvd-1.2/redhat/radvd.init.posix radvd-1.2/redhat/radvd.init
--- radvd-1.2/redhat/radvd.init.posix 2009-04-27 21:56:39.000000000 +0200
+++ radvd-1.2/redhat/radvd.init 2009-04-27 21:59:22.000000000 +0200
@@ -28,12 +28,6 @@
[ -f /etc/sysconfig/radvd ] && . /etc/sysconfig/radvd
-if [ "$1" == "status" ]; then
- [ -f /usr/sbin/radvd ] || exit 4
-else
- [ -f /usr/sbin/radvd ] || exit 1
-fi
-
RETVAL=0
PROG="radvd"
LOCKFILE=/var/lock/subsys/radvd
@@ -41,10 +35,14 @@ LOCKFILE=/var/lock/subsys/radvd
# See how we were called.
case "$1" in
start)
-
- # Check that networking is up.
- [ "${NETWORKING_IPV6}" = "yes" ] || exit 1
-
+ if [ ! -f /etc/radvd.conf ]; then
+ echo "Configuration file /etc/radvd.conf missing" 1>&2
+ exit 6
+ fi
+ if [ ! -x /usr/sbin/radvd ]; then
+ echo "Insufficient privilege" 1>&2
+ exit 4
+ fi
echo -n $"Starting $PROG: "
daemon radvd $OPTIONS
RETVAL=$?